# VLSI SAPD Documentation

Presentation | AGDS | CIF | DTR | OPENCHAMS | SPICE | Links & Contact

Public Member Functions
Resistor Class Reference
Inheritance diagram for Resistor:

## Public Member Functions

std::string | getFirst ()
| returns the first connector of the resistor.
std::string | getSecond ()
| returns the second connector of the resistor.
std::string | getValue ()
| returns the value of the resistor.
| Resistor (std::string name, std::string first, std::string second, std::string value)
| creates a new resistor. More...
Public Member Functions inherited from Instance
void | addConnector (std::string connector)
| adds a connector to the instance. More...
void | addParameter (std::string name, std::string value)
| adds a parameter to the instance. More...
const std::vector< std::string > & | getConnectors ()
| returns the map of instance's connectors. More...
std::string | getModel ()
| returns the model of the instance.
std::string | getName ()
| returns the name of the instance.
const std::map< std::string, std::string > & | getParameters ()
| returns the parameters of the instance.
std::string | getParameterValue (std::string name)
| returns the value (as string) of a parameter of the instance. More...
| Instance (std::string name, std::string model)
| creates a new instance. More...

## Detailed Description

This class describes a resistor which is a specialized instance which has two connectors and a value.

## Constructor & Destructor Documentation

## ◆ Resistor()

Resistor | ( | std::string | name,
|  | std::string | first,
|  | std::string | second,
|  | std::string | value
| ) |  |

inline

creates a new resistor.

Parameters

  name | the name of the resistor.
  first | the first connector of the resistor.
  second | the second connector of the resistor.
  value | the value of the resistor.